Jitsi desktop debian install won't work

I am running PureOS on an Intel NUC:
ID=pureos
NAME=PureOS
PRETTY_NAME=PureOS

VERSION_ID=9.0
VERSION_CODENAME=amber

HOME_URL="https://pureos.net/"
SUPPORT_URL="https://puri.sm/faq/#faq-WherecanIfindoutmoreaboutPureOS"
BUG_REPORT_URL="https://tracker.pureos.net/"

LOGO=pureos-logo-icon

I have installed Jitsi desktop stable from the debian repo instructions, which seemed to finish OK, but I wouldn’t start on my system. Just stopped at some initialization window, but nothing happened.
After that I have tried to install the latest nightly version, but only getting the following install error:
~$ sudo apt -y install jitsi
Reading package lists … finished
Building dependency trees
Reading permit information …
Some packages could not be installed. That could mean you requested an impossible situation or, if you use the unstable distribution
that some necessary packages have not yet been created or moved
get out of Incoming.
The following information can be helpful in resolving the situation:

The following packages have unmet dependencies:
jitsi: depending on: libavformat57 but it can not be installed or
libavformat-ffmpeg56, but it can't be installed
Depending on: libavcodec57 but it cannot be installed or
libavcodec-extra57, but it can not be installed or
libavcodec-ffmpeg56, but it can not be installed or
libavcodec-ffmpeg-extra56 but it cannot be installed
Depending on: libavfilter6 but it cannot be installed or
libavfilter-extra6, but it can not be installed or
libavfilter-ffmpeg5, but it can't be installed
Depending on: libavutil55 but it cannot be installed or
libavutil-ffmpeg54, but it can't be installed
Depending on: libownscale4 but it cannot be installed or
libswscale-ffmpeg3, but it can't be installed
E: could not correct the problems, you have held back broken packages.

Can someone help me out here?
Thanks